Subject: Re: cherry-pick fail when a symbolic link has been changed into a file or directory

From: Camille Moncelier <[email-masked]>
Date: Thu, 4 Nov 2010 15:16:37 +0100

On Thu, 4 Nov 2010 14:55:12 +0100
Christian Couder <[email-masked]> wrote:

> Could you try to cherry-pick with other strategies?
> For example with:
> 
> git cherry-pick --strategy resolve test1

~/repo1$ git --version
git version 1.7.3.1

~/repo1$ git cherry-pick --strategy resolve test1
Trying simple merge.
Simple merge failed, trying Automatic merge.
[master da2d5bf] New file in test1
 1 files changed, 1 insertions(+), 
 create mode 100644 new_file_test1

Seems it is working using the resolve strategy. I may have found a
message on this list posted a while ago:

"cherry-picking a commit clobbers a file which is a directory in the
target commit"

Which seems to deal with the same kind of problems maybe something is
missing in the patch in order to handle this particular case.

> I remember there were some problems with the default "recursive"
> strategy and I am not sure they were fixed.
> By the way could you tell which version of git you are using?

I'm using ubuntu's 1.7.1 version on my laptop which doesn't support
--strategy and a v1.7.3.1 on another computer, both expose the same
problem.

> Thanks,
> Christian.

--
Camille Moncelier
http://devlife.org